erro na aula com Gráficos de limha

Visualizando 2 posts - 1 até 2 (de 2 do total)
  • Autor
    Posts
  • #27840
    pereira
    Participante

    acoes_df.plot(x = ‘Date’, figsize = (15,7), title = ‘Histórico do preço das ações’);

     

    KeyError Traceback (most recent call last)

    /usr/local/lib/python3.7/dist-packages/pandas/core/indexes/base.py in get_loc(self, key, method, tolerance)
    2897 try:
    -> 2898 return self._engine.get_loc(casted_key)
    2899 except KeyError as err:

    pandas/_libs/index.pyx in pandas._libs.index.IndexEngine.get_loc()

    pandas/_libs/index.pyx in pandas._libs.index.IndexEngine.get_loc()

    pandas/_libs/hashtable_class_helper.pxi in pandas._libs.hashtable.PyObjectHashTable.get_item()

    pandas/_libs/hashtable_class_helper.pxi in pandas._libs.hashtable.PyObjectHashTable.get_item()

    KeyError: ‘Date’

    The above exception was the direct cause of the following exception:

    KeyError Traceback (most recent call last)

    3 frames
    /usr/local/lib/python3.7/dist-packages/pandas/core/indexes/base.py in get_loc(self, key, method, tolerance)
    2898 return self._engine.get_loc(casted_key)
    2899 except KeyError as err:
    -> 2900 raise KeyError(key) from err
    2901
    2902 if tolerance is not None:

     

    #27927

    Boa tarde pereira, consegue verificar se o nome do parâmetro “Date” esta correto?

    Fabio

Visualizando 2 posts - 1 até 2 (de 2 do total)
  • Você deve fazer login para responder a este tópico.